org.eclipse.jface.dialogs

## Interface IPageChangingListener

    public interface IPageChangingListener

A listener which is notified when the current page of a multi-page dialog is changing. Use this listener to perform long-running work that should only be executed once, when the page is in the process of changing, rather then during validation of page controls.

Since:
  3.3
See Also:
  `PageChangingEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handlePageChanging(PageChangingEvent event)` Handle the an `IDialogPage` changing.

### Method Detail

#### handlePageChanging

    void handlePageChanging(PageChangingEvent event)

Handle the an `IDialogPage` changing. The `doit` field of the `PageChangingEvent` must be set to false to prevent the page from changing.

Parameters:
  `event` - event object describing the change